> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/global/lan-segments

> Get a list of lan-segments under the currently logged in enterprise

## OpenAPI

````json GET /v1/global/lan-segments
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/global/lan-segments": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "filterExtranetProducers",
            "in": "query",
            "description": "",
            "required": false,
            "schema": {
              "type": "boolean",
              "example": true
            },
            "example": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1GlobalLanSegmentsGetResponse"
                }
              }
            }
          }
        },
        "description": "Get a list of lan-segments under the currently logged in enterprise"
      }
    }
  },
  "components": {
    "schemas": {
      "v1GlobalLanSegmentsGetResponse": {
        "type": "object",
        "properties": {
          "entries": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1GlobalLanSegmentsGetResponseEntry"
            }
          }
        },
        "additionalProperties": false
      },
      "v1GlobalLanSegmentsGetResponseEntry": {
        "type": "object",
        "properties": {
          "associatedInterfaces": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "createdAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "edgeReferences": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "siteListReferences": {
            "type": "integer",
            "format": "int32",
            "example": 123
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

